###############################################################################
# smsub Server Manager Subprocess
# Copyright (C) 2020 Syping
#
# Redistribution and use in source and binary forms, with or without modification,
# are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright notice,
# this list of conditions and the following disclaimer in the documentation
# and/or other materials provided with the distribution.
#
# This software is provided as-is, no warranties are given to you, we are not
# responsible for anything with use of the software, you are self responsible.
###############################################################################

QT -= gui
QT += network websockets

CONFIG += c++11 console
CONFIG -= app_bundle

SOURCES += main.cpp \
    SMSubProcess.cpp \
    SMSubServer.cpp

HEADERS += smsub.h \
    SMSubProcess.h \
    SMSubServer.h

qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
